org.apache.commons.math.analysis

## Interface MultivariateMatrixFunction

-     public interface MultivariateMatrixFunction

  An interface representing a multivariate matrix function.
  Since:
    2.0
  Version:
    $Revision: 1073158 $ $Date: 2011-02-21 22:46:52 +0100 (lun. 21 févr. 2011) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[][]` | `value(double[] point)` Compute the value for the function at the given point.

- - ### Method Detail

    - #### value

          double[][] value(double[] point)
                           throws FunctionEvaluationException,
                                  IllegalArgumentException

      Compute the value for the function at the given point.
      Parameters:
        `point` - point at which the function must be evaluated
      Returns:
        function value for the given point
      Throws:
        `FunctionEvaluationException` - if the function evaluation fails
        `IllegalArgumentException` - if points dimension is wrong

Copyright (c) 2003-2013 Apache Software Foundation